Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  linearer Block - von Punkt...nach Punkt

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   linearer Block - von Punkt...nach Punkt (1120 mal gelesen)
Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 10:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich bräuchte Hilfe für ein kleines Problem:
ich möchte eine Linie (schematisches Rohr) als Block erstellen. Beim Einfügen sollte dann "von Punkt" und "nach Punkt" abgefragt werden und die resultierende Länge als Attribut dazugeschrieben werden.
Kann mir da bitte jemand helfen?
Michi aus München

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 05. Okt. 2007 11:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Willkommen bei CAD.de

Soll das Rohr sich (in der Länge) verändern können?
Dann ist unter Umständen ein Dynamischer Block besser.
Ist der Rohrblock denn schon fertig?
Dann mal hier posten.

Ansosnten klingt es nach einen kleinen Makro - erst Block anfügen, dann 2 Punkte erfragen
Länge ermitteln und in das bereits vorhandene Auttribut (wie heißt es denn?) schreiben.

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 12:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus Udo,
danke für die erste Antwort.

zur Längenänderung: eigentlich nicht. Wenn der Strich zwischen den zwei richtigen Endpunkten sitzt bleibt er da mit seiner Längenangabe.
Sonstige Attribute wären DN, Material oder sowas.

Dynam. Blöcke: hier hab' ich schon rumgelesen und probiert. Es gibt ein dyn. Betonrohr in den Autocad Beispielen - ist viel zu aufwändig und liegt nach Einfügen auch wieder nur horizontal auf dem Blatt (nach dem "bis Punkt" wird nicht gefragt und ich hab's auch nicht einbauen können.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 05. Okt. 2007 12:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Sollen auch Schächte gesetzt werden? Klingt ja schon fast nach einer kleinen Kanalpalnungssoftware 

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 14:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus Udo,
ist es nicht möglich mit 2 Mausklicks einen Strich als Block zwischen 2 Punkten einzufügen, bei dem die Länge dransteht(und evtl. noch ein weiteres Attribut)??

Falls daraus eine neue Civil Design Applikation werden muß wirdt Du selstverständlich an den Lizenzgebühren beteiligt

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

Sie nannten ihn google.

erstellt am: 05. Okt. 2007 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Mit welcher Version arbeitest du?

------------------
Grüsse

Thomas


Korrekturen zum Kochbuch AutoLISP

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 14:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus Thomas,
mit Acad 2006.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 05. Okt. 2007 14:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Du kannst doch den dynamischen Block gleich gedreht mit dem Einfügepunkt an einem Punkt einfügen, dann ziehst den dyn. Block= Linie mit dem freinen Ende auf den anderen Punkt, regenerierst und die neue Länge steht da.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 05. Okt. 2007 14:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Es ginge auch ein ButtonMacro oder Mini-Lisp
2 Punkte erfragen, danach LINIE und Ausgerichtete Bemaßung zeichnen - ist aber kein Block.

Oder Linie zeichnen, dann Block auf Linienmitte einfügen, und Linienlänge als Schriftfeld in ein bestimmtest Attribut einfügen - aber das ist der Aufwand schon ein wenig höher - das wird zumindest kein Dreizeiler.

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 14:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
also Attribute sollten es sein, weil ich die nachher extrahieren muß.

Mit den dynamischen Blöcken komme ich nicht ganz klar, außerdem steht in den Foren öfter mal daß die Attributsextraktion Probleme bereitet. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 05. Okt. 2007 15:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich


rohr.dwg.txt

 
versuch es mal mit dem dyn.Block, gedreht einfügen, ziehen auf 2.Punkt,regenerieren

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 15:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

verräts Du mir noch das Kennwort für Rohr.dwg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 05. Okt. 2007 15:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 15:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Dir,
prizipiell ist das schon so ähnlich wie ich mir das vorgestellt habe aber...

beim Einfügen ist der Block ja erst mal horizontal - die x-Länge kann ich ja noch nicht genau angeben (mit der Maus fangen) weil die erst nach der Drehung im zweiten Schritt kommt, wenn der Endpunkt gefangen wird. Dann stimmt die Länge nicht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 05. Okt. 2007 15:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Du liest Dir meine Hilfe nicht durch!
Dort steht: GEDREHT EINFÜGEN
Füge den Block mal mit dem Befehl -EINFÜGE ein, anschließend dann 2.Pkt. strecken

minilisp:

(defun c:rohr ( / )
(command "-einfüge" "rohr" pause "1" "1" pause)
)

[Diese Nachricht wurde von cad4fun am 05. Okt. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 16:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke,
den Befehl GEDREHT EINFÜGEN kannte ich noch nicht  , ich habe immer nur den Button benutzt und später gedreht.

Warum ist aber der Endpunkt der Linie nicht genau im Fadenkreuz?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 16:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

mit dem LISP Programm funktioniert's - danke
ich muß zwar im 2. Arbeitsschritt den Griff noch an die richtige Position schieben - aber prinipiell geht's
Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 05. Okt. 2007 16:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Michi-München:
Warum ist aber der Endpunkt der Linie nicht genau im Fadenkreuz?

Warum sollte er?
Der Endpunkt der Linie (du meinst ja den rechten, oder?) hat ja mit dem Einfügewinkel an und für sich nichts zu tun

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 05. Okt. 2007 17:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

stimmt schon, nur brauch ich ja, nachdem der Winkel stimmt wieder den Endpunkt um den Strich an die richtige Position zu strecken.

Jetzt habe ich es über deine Lisp-Routine eingefügt. Dann habe ich einen Griff den ich an dem ich den Endpunkt an die richtige Position ziehen kann. - geht schon

Noch eine Frage - ich hoffe es wird nicht zuviel
wie bekommst Du die Längenangabe in die Mitte vom Strich?
Ich habe ein weiteres Attribut drunter angeordnet was aber nach der Einfüge-Operation immer links unten an Strich kleben bleibt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 08. Okt. 2007 08:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Stichworte Text ausrichten, Auswahlsatz ändern, Abstandsmultiplikator

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 08. Okt. 2007 09:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Merci vielmals

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tobwo
Mitglied
Dipl. Bauingenieur


Sehen Sie sich das Profil von tobwo an!   Senden Sie eine Private Message an tobwo  Schreiben Sie einen Gästebucheintrag für tobwo

Beiträge: 482
Registriert: 08.09.2006

Windows 10 64 bit
Civil3D 2019
HEC-Ras

erstellt am: 09. Okt. 2007 22:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

hallo cad4fun

deine Gedanken sind spitze.
Kannst Du mir verraten wodurch das Attribut Länge aktualisiert wird. 

Mein Ziel:

Blattgrößenermittlung durch ziehn der beiden Punkte analog des Rohrendes
und schon steht die wahre Blatthöhe bzw -breite im Plankopf.

Dank im vorraus

MFG Tobias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 10. Okt. 2007 07:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich


dyn_blattrahmen.zip

 
Die Länge wird einfach durch die Länge eines Objektes definiert.
Und wie ein dynamische Blattrahmen aussehen kann siehst im Anhang.Über die Polylinie wurde rechts und unten noch eine Linie(=Objekt) gezeichnet, deren (Objekt)Länge herangezogen wird.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tobwo
Mitglied
Dipl. Bauingenieur


Sehen Sie sich das Profil von tobwo an!   Senden Sie eine Private Message an tobwo  Schreiben Sie einen Gästebucheintrag für tobwo

Beiträge: 482
Registriert: 08.09.2006

Windows 10 64 bit
Civil3D 2019
HEC-Ras

erstellt am: 10. Okt. 2007 13:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich


Danke!!

habe Deine Vorlage eingebaut. Ich habe aber leider immer noch nicht verstanden wie die Auswertung der Objektgeometrie in einen Text umgewandelt wird. Die Linie(=Objekt) hab ich gefunden.
Aber wie der Text an diese (Objekt)Länge kommt ist mir ein Rätsel.

MFG Tobias.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 10. Okt. 2007 13:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Schriftfeld einfügen -> Objekte -> Objekt -> Objekttyp(Objekt auswählen) -> Eigenschaft (wählen)
Format,Präfix,Suffix,Umwandlungsfaktor festlegen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tobwo
Mitglied
Dipl. Bauingenieur


Sehen Sie sich das Profil von tobwo an!   Senden Sie eine Private Message an tobwo  Schreiben Sie einen Gästebucheintrag für tobwo

Beiträge: 482
Registriert: 08.09.2006

Windows 10 64 bit
Civil3D 2019
HEC-Ras

erstellt am: 10. Okt. 2007 13:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Michi-München 10 Unities + Antwort hilfreich

Habs geschnallt und was dazugelernt 
Vielen Dank !!!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



CGI-Designer (m/w/d) - Home & Garden Products

Kärcher ist Weltmarktführer für Reinigungssysteme, -produkte und -dienstleistungen und steht für Qualität, Innovation und Nachhaltigkeit. Diesen Erfolg verdanken wir nicht zuletzt unseren Beschäftigten. Als Familienunternehmen mit gewachsenen Konzernstrukturen überzeugen wir mit herausragenden beruflichen Perspektiven und einem vertrauensvollen Umgang. Interessante Herausforderungen und ...

Anzeige ansehenMedien-, Screen-, Webdesign
Michi-München
Mitglied
Geologe


Sehen Sie sich das Profil von Michi-München an!   Senden Sie eine Private Message an Michi-München  Schreiben Sie einen Gästebucheintrag für Michi-München

Beiträge: 19
Registriert: 05.10.2007

Windows 10
Bricscsd V13, ACAD,
Hirn

erstellt am: 10. Okt. 2007 18:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke, ich hab' auch was dazugelernt. Schade daß die Wiesn schon aus ist sonst hätt ich eine Maß ausgegeben

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz